<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <!-- Training images page. Loaded as subpage into searchres.html -->
    {% comment %}
     The following variables are defined:
         QUERY_ID - query_id
         DATASET_NAME - dataset name
         QUERY_TYPE - query type (text or image)
         TRAINIMGS - list of training images
         PAGE - page of results to display
         BACKPAGE - Page to go back to
         SA_THUMBS - location of thumbnail images
         ENGINE - currently selected engine
    {% endcomment %}
    {% load siteroot_extras %}
     <div id="results_header_borderless">
        <h1>{{TRAINIMGS|length}} Training Images</h1>
        <p>If a new search is started from this page, only the images surrounded in green will be used as input for the search.
           Click on each image to change the color of its surrounding rectangle.</p>
        <a class="back_to_results" href="{{BACKPAGE}}?qsid={{QUERY_ID}}&amp;page={{PAGE}}">&lt;- Back to results</a>
    </div>
    <div id="content">
        <div id="results_list" class="grid_list">
           {% for IMAGE in TRAINIMGS %}
            <div class="results_box">
                <div class="result_outer_wrapper">
                    <div class="result_inner_wrapper">
                        <div id="{{IMAGE.img_id}}" class="roi_box {{IMAGE.anno_style}}" dsetname="{{DATASET_NAME}}" anno="{{IMAGE.anno}}" qtype="{{QUERY_TYPE}}" engine="{{ENGINE}}">
                            <a anno="{{IMAGE.anno}}" class="result_image_link" >
                                <img src="{{SA_THUMBS}}{{IMAGE.image}}" />
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        </div>
    </div>
    <div>
    <div id="results_header_borderless">
        {% if TRAINIMGS %}<input id="selection_search" type="button" value="Search">{% endif %}
        <br><br>
        <a class="back_to_results" href="{{BACKPAGE}}?qsid={{QUERY_ID}}&amp;page={{PAGE}}">&lt;- Back to results</a>
    </div>
    <!-- dynamically load in styles associated specifically with this page -->
    <script type="text/javascript">
    $(function() {
        $('head').append('<link href="static/styles/trainingimages.css" rel="stylesheet" type="text/css" />');
    });
    </script>
    <!-- utility script for dynamically reflowing grid so that each row fills the width of the current page -->
    <script type="text/javascript" src="static/scripts/results-refine.js"></script>
    <script type="text/javascript" src="static/scripts/results-grid-resize.js"></script>
    <!-- JQuery plugin for transitions between subpages. Requires JQuery UI Transitions module.
    Also handles update of history queue when browsing between subpages -->
    <script type="text/javascript" src="static/scripts/plugins/jquery.divtransition.js"></script>
    <!-- script which modifies standard links into AJAX subpage links. Should be updated if new pages are added -->
    <script type="text/javascript" src="static/scripts/results-linkify.js"></script>
</html>
